PHP-инклюдинг в Pixaria Gallery

Дата публикации:
19.04.2007
Всего просмотров:
1080
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-2457
CVE-2007-2458
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Pixaria Gallery 1.x
Уязвимые версии: Pixaria Gallery версии до 1.4.3.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cfg[sys][base_path]" в сценарии resources/includes/class.Smarty.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/resources/includes/class.Smarty.php?cfg[sys][base_path]=[file]

URL производителя: www.pixaria.com

Решение: Установите последнюю версию (1.4.3) с сайта производителя.

или введите имя

CAPTCHA